## org.aspectj.lang.reflect
Interface DeclareSoft

    public interface DeclareSoft

AspectJ runtime representation of a declare soft member within an aspect.

Method Summary
`AjType` `getDeclaringType()` The aspect that declared this member
`PointcutExpression` `getPointcutExpression()` The pointcut determining the join points at which the exception is to be softened.
`AjType` `getSoftenedExceptionType()` The softened exception type

Method Detail

### getDeclaringType

    AjType getDeclaringType()

  The aspect that declared this member

### getSoftenedExceptionType

    AjType getSoftenedExceptionType()
                                    throws java.lang.ClassNotFoundException

  The softened exception type

  Throws:
    `java.lang.ClassNotFoundException`

### getPointcutExpression

    PointcutExpression getPointcutExpression()

  The pointcut determining the join points at which the exception is to be softened.